<?php

namespace B2P\Models\Enums;

/**
 * Статусы операций
 */
enum OperationStatus
{
    /**
     * Операция зарегистрирована в ПЦ.
     */
    case REGISTERED;

    /**
     * Операция направлена Эмитенту на одобрение.
     */
    case PENDING;

    /**
     * Операция завершена. Получено одобрение Эмитента.
     */
    case APPROVED;

    /**
     * Операция завершена. В проведении операции отказано.
     */
    case REJECTED;

    /**
     * Операция завершена. ПЦ не получил ответ Эмитента. Требуется уточнение статуса Операции.
     */
    case TIMEOUT;

    /**
     * Операция завершена. Получена ошибка при обработке Операции.
     */
    case ERROR;
}